osl::PtypeTraits< PSILVER > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::PtypeTraits< PSILVER > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions
static const char * | name ()
static const char * | csaName ()

## Static Public Attributes
static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =false
static const Ptype | moveType =GOLD
static const int | moveMask =PtypeTraits<GOLD>::moveMask
static const Ptype | basicType =SILVER
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

### template<>
struct osl::PtypeTraits< PSILVER >

Definition at line 179 of file ptypeTraits.h.

## Member Function Documentation

static const char* osl::PtypeTraits< PSILVER >::csaName | ( | ) |  |
| inlinestatic

Definition at line 186 of file ptypeTraits.h.

static const char* osl::PtypeTraits< PSILVER >::name | ( | ) |  |
| inlinestatic

Definition at line 185 of file ptypeTraits.h.

## Member Data Documentation

const Ptype osl::PtypeTraits< PSILVER >::basicType =SILVER
| static

Definition at line 188 of file ptypeTraits.h.

const bool osl::PtypeTraits< PSILVER >::betterToPromote =false
| static

Definition at line 183 of file ptypeTraits.h.

const bool osl::PtypeTraits< PSILVER >::canPromote =false
| static

Definition at line 182 of file ptypeTraits.h.

const int osl::PtypeTraits< PSILVER >::indexMin =PtypeTraits<basicType>::indexMin
| static

Definition at line 189 of file ptypeTraits.h.

const bool osl::PtypeTraits< PSILVER >::isBasic =false
| static

Definition at line 181 of file ptypeTraits.h.

const int osl::PtypeTraits< PSILVER >::moveMask =PtypeTraits<GOLD>::moveMask
| static

Definition at line 187 of file ptypeTraits.h.

const Ptype osl::PtypeTraits< PSILVER >::moveType =GOLD
| static

Definition at line 184 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h